%%%----------------------------------------------------------------------
%%% File    : cron_sup.erl
%%% Author  : ottuser local account <otpuser@tiger>
%%% Purpose : 
%%% Created : 20 Jun 2000 by ottuser local account <otpuser@tiger>
%%%----------------------------------------------------------------------

-module(cron_sup).
-author('otpuser@tiger').

%%-compile(export_all).
%%-export([Function/Arity, ...]).
-vsn('$Id: cron_sup.erl,v 1.1.1.1 2001/04/30 09:46:24 chandru Exp $ ').

-behaviour(supervisor).

%% External exports
-export([start_link/0]).

%% supervisor callbacks
-export([init/1]).

%%%----------------------------------------------------------------------
%%% API
%%%----------------------------------------------------------------------
start_link() ->
    supervisor:start_link({local, cron_sup}, cron_sup, []).

%%%----------------------------------------------------------------------
%%% Callback functions from supervisor
%%%----------------------------------------------------------------------

%%----------------------------------------------------------------------
%% Func: init/1
%% Returns: {ok,  {SupFlags,  [ChildSpec]}} |
%%          ignore                          |
%%          {error, Reason}   
%%----------------------------------------------------------------------
init([]) ->
    Crontab = case application:get_env(crontab) of
		  {ok, File} ->
		      File;
		  undefined ->
		      filename:join(code:priv_dir(cron), "cron.conf")
	      end,
    AChild = {cron_server,{cron_server,start_link,[Crontab]},
	      permanent,2000,worker,[cron_server]},
    {ok,{{one_for_all,10,1}, [AChild]}}.

%%%----------------------------------------------------------------------
%%% Internal functions
%%%----------------------------------------------------------------------
